Bug 1342711 - installer text recommends 'rpm -e' instead of 'yum erase', resulting in error
Summary: installer text recommends 'rpm -e' instead of 'yum erase', resulting in error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Upgrades
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Jitendra Yejare
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-04 00:32 UTC by Chris Duryee
Modified: 2019-09-25 21:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17137 0 None None None 2016-10-31 15:00:48 UTC
Red Hat Bugzilla 1405388 0 medium CLOSED Sat6.1->6.2 upgrade leaves elasticsearch installed, with its db, and _running_ 2021-02-22 00:41:40 UTC

Internal Links: 1405388

Description Chris Duryee 2016-06-04 00:32:05 UTC
Description of problem:

When upgrading from 6.1.9 to snap 14.1:

# satellite-installer --scenario satellite --upgrade
Upgrading...
Upgrade Step: stop_services...
Upgrade Step: start_databases...
Upgrade Step: update_http_conf...
Upgrade Step: migrate_pulp...
Upgrade Step: fix_pulp_httpd_conf...
Upgrade Step: start_httpd...
Upgrade Step: start_qpidd...
Upgrade Step: start_pulp...
Upgrade Step: migrate_candlepin...
Upgrade Step: start_tomcat...
Upgrade Step: fix_katello_settings_file...
Upgrade Step: migrate_foreman...
Upgrade Step: remove_nodes_distributors...
Upgrade Step: Running installer...
Installing             Done                                               [100%] [..........................................................................................................................................................................]
  The full log is at /var/log/foreman-installer/satellite.log
Upgrade Step: restart_services...
Upgrade Step: db_seed...
Upgrade Step: import_package_groups (this may take a while) ...
Upgrade Step: import_rpms (this may take a while) ...
Upgrade Step: import_distributions (this may take a while) ...
Upgrade Step: import_puppet_modules (this may take a while) ...
Upgrade Step: import_subscriptions (this may take a while) ...
Upgrade Step: elasticsearch_message...
Elasticsearch has been removed as a dependency.  The database files can be removed manually with #rm -rf /var/lib/elasticsearch.  Some packages are no longer needed and can be removed:  #rpm -e ruby193-rubygem-tire tfm-rubygem-tire elasticsearch sigar-ja
va sigar snappy-java lucene4-contrib lucene4
Upgrade Step: remove_docker_v1_content (this may take a while) ...
Upgrade Step: remove_gutterball...
Katello upgrade completed!

[root@sat61-rhel6 ~]# rm -rf /var/lib/elasticsearch

[root@sat61-rhel6 ~]# rpm -e ruby193-rubygem-tire tfm-rubygem-tire elasticsearch sigar-java sigar snappy-java lucene4-contrib lucene4
error: package ruby193-rubygem-tire is not installed
error: package tfm-rubygem-tire is not installed


Version-Release number of selected component (if applicable): 14.1


Actual results: package removal fails with recommended command


Expected results: recommended command should be "yum erase" instead of "rpm -e"

Comment 2 Bryan Kearney 2016-07-26 15:25:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 3 Bryan Kearney 2016-07-26 15:28:11 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 5 Chris Roberts 2016-10-31 14:43:18 UTC
created redmine issue:

http://projects.theforeman.org/issues/17137

Comment 6 Pavel Moravec 2016-12-16 11:15:51 UTC
See very relevant https://bugzilla.redhat.com/show_bug.cgi?id=1405388 that fix would make this BZ obsolete.

Comment 7 John Mitsch 2017-08-16 17:31:07 UTC
Is this applicable to 6.3?

I don't see any elastic search messages other than:

satellite-installer --scenario satellite --upgrade
...
foreman-rake katello:upgrades:2.4:import_subscriptions finished successfully!
Upgrade Step: elasticsearch_message...
Upgrade Step: add_export_distributor (this may take a while) ...
....


using satellite-6.3.0-16.0.beta.el7sat.noarch

Comment 9 Jitendra Yejare 2017-11-20 08:06:14 UTC
Verified !

@ Satellite 6.3 snap 25

No such error message that suggests using 'yum erase' observed.

The upgrade is clean in both the below cases:
1. Satellite 6.2 to 6.3 snap 25
2. Satellite 6.3 snap 24 to 6.3 snap 25

Comment 11 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.